#### Beyond Linux® From Scratch (System V Edition) - Version 12.3

### Chapter 17. Networking Libraries

- Prev

  libmnl-1.0.5

- Next

  libnl-3.11.0

- Up
- Home

# libndp-1.9

## Introduction to libndp

The libndp package provides a wrapper for IPv6 Neighbor Discovery Protocol. It also provides a tool named ndptool for sending and receiving NDP messages.

This package is known to build and work properly using an LFS 12.3 platform.

### Package Information

- Download (HTTP): http://libndp.org/files/libndp-1.9.tar.gz

- Download MD5 sum: 9d486750569e7025e5d0afdcc509b93c

- Download size: 368 KB

- Estimated disk space required: 2.5 MB

- Estimated build time: less than 0.1 SBU

## Installation of libndp

Install libndp by running the following command:

    ./configure --prefix=/usr        \
                --sysconfdir=/etc    \
                --localstatedir=/var \
                --disable-static     &&
    make

This package does not come with a test suite.

Now, as the `root` user:

    make install

## Contents

Installed Program: ndptool
Installed Library: libndp.so
Installed Directory: None

### Short Descriptions

ndptool | is a tool for sending and receiving NDP messages
`libndp.so` | provides a wrapper for the IPv6 Neighbor Discovery Protocol

- Prev

  libmnl-1.0.5

- Next

  libnl-3.11.0

- Up
- Home